Bug 171333 - [PATCH] Update devel/clanlib to latest version 2.3.6
[PATCH] Update devel/clanlib to latest version 2.3.6
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 03:50 UTC by c.petrik.sosa
Modified: 2012-10-02 11:31 UTC (History)
0 users

See Also:


Attachments
file.diff (64.67 KB, patch)
2012-09-05 03:50 UTC, c.petrik.sosa
no flags Details | Diff
patch-clanlib-tested.txt (64.60 KB, patch)
2012-09-12 21:57 UTC, c.petrik.sosa
no flags Details | Diff
patch-clanlib-tested.txt (64.60 KB, patch)
2012-09-12 21:02 UTC, c.petrik.sosa
no flags Details | Diff
patch-clanlib-tested.txt (65.55 KB, patch)
2012-09-13 16:48 UTC, c.petrik.sosa
no flags Details | Diff
clanlib.diff (135.42 KB, patch)
2012-09-27 11:31 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2012-09-05 03:50:01 UTC
Update clanlib to 2.3.6
Breaks super_methane_brothers

Once this port is updated I will create a PR for super_methane_brothers.

Fix: Patch attached with submission follows:
Comment 1 Jason E. Hale freebsd_committer 2012-09-23 22:30:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2012-09-23 22:31:34 UTC
Class Changed
From-To: update->maintainer-update

Submitter is maintainer.
Comment 3 Jason E. Hale freebsd_committer 2012-09-27 11:31:41 UTC
Hi Chris,

I think we should proceed with updating devel/clanlib to 2.3.6, but we need to 
keep a legacy version for games/openalchemist and games/trophy (maintainers 
CC'd).  I propose to repocopy devel/clanlib to devel/clanlib1 and update 
devel/clanlib1 to 1.0.0.  I'll add an UPDATING entry so users know to switch 
to the legacy version if needed.

If you have an update for games/super_methane_brothers, I would like to apply 
it with the clanlib update...otherwise it work with clanlib1 for the time 
being.

I do have a few issues with your patch that I have fixed, but I would like 
your approval/feedback.

1. PORTEPOCH must be kept
2. The LICENSE is the ZLIB license and variables for the license must be 
adjusted.  We don't need a copy of the license in files either.
3. There were some unneeded dependencies...SDL, xmu, xi
4. USE_FONTCONFIG doesn't do anything
5. External libtool was causing problems...the included libtool works just 
fine
6. Removed some unused REINPLACE_CMDs
7. Builds fine on 7.x and 8.x with my changes, so remove BROKEN
8. I'd rather not set ONLY_FOR_ARCHS until it is proven that it doesn't build 
on other archs.
9. I'd like to see the version numbers dynamically added to the pkg-plist so 
that the entire pkg-plist doesn't have to be adjusted on major updates.
10. lib, libdata, libdata/pkgconfig are in mtree so the port should not 
attempt to remove them
11. I've renamed the patches so they are consistent with what "make makepatch" 
creates

I've attached a new diff, but it might be easier to view things on Redports:
https://redports.org/browser/bsdkaffee/devel/clanlib
https://redports.org/browser/bsdkaffee/devel/clanlib1
https://redports.org/browser/bsdkaffee/games/openalchemist
https://redports.org/browser/bsdkaffee/games/super_methane_brothers
https://redports.org/browser/bsdkaffee/games/trophy

- Jason
Comment 4 dfilter freebsd_committer 2012-10-01 13:16:59 UTC
Author: jhale
Date: Mon Oct  1 12:16:46 2012
New Revision: 305112
URL: http://svn.freebsd.org/changeset/ports/305112

Log:
  - Use version variable in pkg-plist
  - This will minimize diffs for upcoming repocopy and future updates
  - Strip Makefile header
  
  PR:		ports/171333
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)
  Approved by:	makc (mentor), maintainer via private email

Modified:
  head/devel/clanlib/Makefile   (contents, props changed)
  head/devel/clanlib/pkg-plist   (contents, props changed)

Modified: head/devel/clanlib/Makefile
==============================================================================
--- head/devel/clanlib/Makefile	Mon Oct  1 12:03:48 2012	(r305111)
+++ head/devel/clanlib/Makefile	Mon Oct  1 12:16:46 2012	(r305112)
@@ -1,10 +1,5 @@
-# New ports collection makefile for:	clanlib
-# Date created:				10 May 2000
-# Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
-#
-# $Carpetsmoker: ports/devel/clanlib/Makefile,v 1.3 2008/03/18 13:48:24 carpetsmoker Exp $
+# Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	clanlib
 PORTVERSION=	0.8.1
@@ -37,6 +32,8 @@ USE_SDL=	gfx
 USE_GL=		yes
 USE_PKGCONFIG=	yes
 
+PLIST_SUB+=	VER=${PORTVERSION:R}
+
 .include <bsd.port.pre.mk>
 
 post-patch:

Modified: head/devel/clanlib/pkg-plist
==============================================================================
--- head/devel/clanlib/pkg-plist	Mon Oct  1 12:03:48 2012	(r305111)
+++ head/devel/clanlib/pkg-plist	Mon Oct  1 12:16:46 2012	(r305112)
@@ -1,390 +1,390 @@
-include/ClanLib-0.8/ClanLib/Application/clanapp.h
-include/ClanLib-0.8/ClanLib/Core/IOData/cl_endian.h
-include/ClanLib-0.8/ClanLib/Core/IOData/datatypes.h
-include/ClanLib-0.8/ClanLib/Core/IOData/directory.h
-include/ClanLib-0.8/ClanLib/Core/IOData/directory_scanner.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource_file.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource_memory.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource_provider.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource_provider_file.h
-include/ClanLib-0.8/ClanLib/Core/IOData/inputsource_zipped.h
-include/ClanLib-0.8/ClanLib/Core/IOData/outputsource.h
-include/ClanLib-0.8/ClanLib/Core/IOData/outputsource_file.h
-include/ClanLib-0.8/ClanLib/Core/IOData/outputsource_memory.h
-include/ClanLib-0.8/ClanLib/Core/IOData/outputsource_provider.h
-include/ClanLib-0.8/ClanLib/Core/IOData/outputsource_zipped.h
-include/ClanLib-0.8/ClanLib/Core/IOData/zip_archive.h
-include/ClanLib-0.8/ClanLib/Core/IOData/zip_file_entry.h
-include/ClanLib-0.8/ClanLib/Core/Math/circle.h
-include/ClanLib-0.8/ClanLib/Core/Math/cl_vector.h
-include/ClanLib-0.8/ClanLib/Core/Math/delauney_triangulator.h
-include/ClanLib-0.8/ClanLib/Core/Math/line_math.h
-include/ClanLib-0.8/ClanLib/Core/Math/math.h
-include/ClanLib-0.8/ClanLib/Core/Math/matrix4x4.h
-include/ClanLib-0.8/ClanLib/Core/Math/number_pool.h
-include/ClanLib-0.8/ClanLib/Core/Math/origin.h
-include/ClanLib-0.8/ClanLib/Core/Math/outline_triangulator.h
-include/ClanLib-0.8/ClanLib/Core/Math/point.h
-include/ClanLib-0.8/ClanLib/Core/Math/pointset_math.h
-include/ClanLib-0.8/ClanLib/Core/Math/quad.h
-include/ClanLib-0.8/ClanLib/Core/Math/rect.h
-include/ClanLib-0.8/ClanLib/Core/Math/size.h
-include/ClanLib-0.8/ClanLib/Core/Math/triangle_math.h
-include/ClanLib-0.8/ClanLib/Core/Math/vector2.h
-include/ClanLib-0.8/ClanLib/Core/Math/vector2.inl
-include/ClanLib-0.8/ClanLib/Core/Resources/resource.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resource_manager.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcedata.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcetype_boolean.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcetype_float.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcetype_integer.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcetype_raw.h
-include/ClanLib-0.8/ClanLib/Core/Resources/resourcetype_string.h
-include/ClanLib-0.8/ClanLib/Core/System/call_stack.h
-include/ClanLib-0.8/ClanLib/Core/System/cl_assert.h
-include/ClanLib-0.8/ClanLib/Core/System/cl_library.h
-include/ClanLib-0.8/ClanLib/Core/System/clanstring.h
-include/ClanLib-0.8/ClanLib/Core/System/clipboard.h
-include/ClanLib-0.8/ClanLib/Core/System/clonable.h
-include/ClanLib-0.8/ClanLib/Core/System/command_line.h
-include/ClanLib-0.8/ClanLib/Core/System/console_window.h
-include/ClanLib-0.8/ClanLib/Core/System/crash_reporter.h
-include/ClanLib-0.8/ClanLib/Core/System/error.h
-include/ClanLib-0.8/ClanLib/Core/System/event_listener.h
-include/ClanLib-0.8/ClanLib/Core/System/event_trigger.h
-include/ClanLib-0.8/ClanLib/Core/System/keep_alive.h
-include/ClanLib-0.8/ClanLib/Core/System/lazycopyptr.h
-include/ClanLib-0.8/ClanLib/Core/System/log.h
-include/ClanLib-0.8/ClanLib/Core/System/mutex.h
-include/ClanLib-0.8/ClanLib/Core/System/mutexsharedptr.h
-include/ClanLib-0.8/ClanLib/Core/System/mutexweakptr.h
-include/ClanLib-0.8/ClanLib/Core/System/owningptr.h
-include/ClanLib-0.8/ClanLib/Core/System/setupcore.h
-include/ClanLib-0.8/ClanLib/Core/System/sharedptr.h
-include/ClanLib-0.8/ClanLib/Core/System/system.h
-include/ClanLib-0.8/ClanLib/Core/System/thread.h
-include/ClanLib-0.8/ClanLib/Core/System/threadfunc_v0.h
-include/ClanLib-0.8/ClanLib/Core/System/threadfunc_v1.h
-include/ClanLib-0.8/ClanLib/Core/System/threadfunc_v2.h
-include/ClanLib-0.8/ClanLib/Core/System/timer.h
-include/ClanLib-0.8/ClanLib/Core/System/weakptr.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_attr.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_cdata_section.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_character_data.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_comment.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_document.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_document_fragment.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_document_type.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_element.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_entity.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_entity_reference.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_exception.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_implementation.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_named_node_map.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_node.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_node_list.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_notation.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_processing_instruction.h
-include/ClanLib-0.8/ClanLib/Core/XML/dom_text.h
-include/ClanLib-0.8/ClanLib/Core/XML/xml_token.h
-include/ClanLib-0.8/ClanLib/Core/XML/xml_tokenizer.h
-include/ClanLib-0.8/ClanLib/Core/XML/xml_writer.h
-include/ClanLib-0.8/ClanLib/Core/core_iostream.h
-include/ClanLib-0.8/ClanLib/Display/Collision/collision_outline.h
-include/ClanLib-0.8/ClanLib/Display/Collision/contour.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_accuracy.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_circle.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_math.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_provider.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_provider_bitmap.h
-include/ClanLib-0.8/ClanLib/Display/Collision/outline_provider_file.h
-include/ClanLib-0.8/ClanLib/Display/Providers/dc_buffer.h
-include/ClanLib-0.8/ClanLib/Display/Providers/bmp_provider.h
-include/ClanLib-0.8/ClanLib/Display/Providers/jpeg_provider.h
-include/ClanLib-0.8/ClanLib/Display/Providers/pcx_provider.h
-include/ClanLib-0.8/ClanLib/Display/Providers/png_provider.h
-include/ClanLib-0.8/ClanLib/Display/Providers/provider_factory.h
-include/ClanLib-0.8/ClanLib/Display/Providers/provider_type.h
-include/ClanLib-0.8/ClanLib/Display/Providers/provider_type_register.h
-include/ClanLib-0.8/ClanLib/Display/Providers/targa_provider.h
-include/ClanLib-0.8/ClanLib/Display/blend_func.h
-include/ClanLib-0.8/ClanLib/Display/canvas.h
-include/ClanLib-0.8/ClanLib/Display/color.h
-include/ClanLib-0.8/ClanLib/Display/display.h
-include/ClanLib-0.8/ClanLib/Display/display_iostream.h
-include/ClanLib-0.8/ClanLib/Display/display_mode.h
-include/ClanLib-0.8/ClanLib/Display/display_window.h
-include/ClanLib-0.8/ClanLib/Display/display_window_description.h
-include/ClanLib-0.8/ClanLib/Display/font.h
-include/ClanLib-0.8/ClanLib/Display/frameratecounter.h
-include/ClanLib-0.8/ClanLib/Display/glyph_buffer.h
-include/ClanLib-0.8/ClanLib/Display/gradient.h
-include/ClanLib-0.8/ClanLib/Display/graphic_context.h
-include/ClanLib-0.8/ClanLib/Display/input_buffer.h
-include/ClanLib-0.8/ClanLib/Display/input_button.h
-include/ClanLib-0.8/ClanLib/Display/input_context.h
-include/ClanLib-0.8/ClanLib/Display/input_device.h
-include/ClanLib-0.8/ClanLib/Display/input_event.h
-include/ClanLib-0.8/ClanLib/Display/joystick.h
-include/ClanLib-0.8/ClanLib/Display/key_binding.h
-include/ClanLib-0.8/ClanLib/Display/keyboard.h
-include/ClanLib-0.8/ClanLib/Display/keys.h
-include/ClanLib-0.8/ClanLib/Display/mouse.h
-include/ClanLib-0.8/ClanLib/Display/palette.h
-include/ClanLib-0.8/ClanLib/Display/pixel_buffer.h
-include/ClanLib-0.8/ClanLib/Display/pixel_format.h
-include/ClanLib-0.8/ClanLib/Display/pixel_format_type.h
-include/ClanLib-0.8/ClanLib/Display/rle_surface.h
-include/ClanLib-0.8/ClanLib/Display/setupdisplay.h
-include/ClanLib-0.8/ClanLib/Display/sprite.h
-include/ClanLib-0.8/ClanLib/Display/sprite_description.h
-include/ClanLib-0.8/ClanLib/Display/sprite_packer.h
-include/ClanLib-0.8/ClanLib/Display/stencil_func.h
-include/ClanLib-0.8/ClanLib/Display/surface.h
-include/ClanLib-0.8/ClanLib/Display/text_styler.h
-include/ClanLib-0.8/ClanLib/GL/light_source.h
-include/ClanLib-0.8/ClanLib/GL/opengl.h
-include/ClanLib-0.8/ClanLib/GL/opengl_state.h
-include/ClanLib-0.8/ClanLib/GL/opengl_state_data.h
-include/ClanLib-0.8/ClanLib/GL/opengl_surface.h
-include/ClanLib-0.8/ClanLib/GL/opengl_window.h
-include/ClanLib-0.8/ClanLib/GL/opengl_window_description.h
-include/ClanLib-0.8/ClanLib/GL/opengl_wrap.h
-include/ClanLib-0.8/ClanLib/GL/program_attribute.h
-include/ClanLib-0.8/ClanLib/GL/program_object.h
-include/ClanLib-0.8/ClanLib/GL/program_uniform.h
-include/ClanLib-0.8/ClanLib/GL/setupgl.h
-include/ClanLib-0.8/ClanLib/GL/shader_object.h
-include/ClanLib-0.8/ClanLib/GL/texture.h
-include/ClanLib-0.8/ClanLib/GL/viewpoint.h
-include/ClanLib-0.8/ClanLib/GUI/button.h
-include/ClanLib-0.8/ClanLib/GUI/checkbox.h
-include/ClanLib-0.8/ClanLib/GUI/component.h
-include/ClanLib-0.8/ClanLib/GUI/component_manager.h
-include/ClanLib-0.8/ClanLib/GUI/component_move_handler.h
-include/ClanLib-0.8/ClanLib/GUI/component_resize_handler.h
-include/ClanLib-0.8/ClanLib/GUI/component_style.h
-include/ClanLib-0.8/ClanLib/GUI/component_type.h
-include/ClanLib-0.8/ClanLib/GUI/deck.h
-include/ClanLib-0.8/ClanLib/GUI/filedialog.h
-include/ClanLib-0.8/ClanLib/GUI/frame.h
-include/ClanLib-0.8/ClanLib/GUI/gui_manager.h
-include/ClanLib-0.8/ClanLib/GUI/image.h
-include/ClanLib-0.8/ClanLib/GUI/inputbox.h
-include/ClanLib-0.8/ClanLib/GUI/inputbox_stylebase.h
-include/ClanLib-0.8/ClanLib/GUI/inputdialog.h
-include/ClanLib-0.8/ClanLib/GUI/label.h
-include/ClanLib-0.8/ClanLib/GUI/layout.h
-include/ClanLib-0.8/ClanLib/GUI/listbox.h
-include/ClanLib-0.8/ClanLib/GUI/listitem.h
-include/ClanLib-0.8/ClanLib/GUI/menu.h
-include/ClanLib-0.8/ClanLib/GUI/menu_item.h
-include/ClanLib-0.8/ClanLib/GUI/menu_node.h
-include/ClanLib-0.8/ClanLib/GUI/messagebox.h
-include/ClanLib-0.8/ClanLib/GUI/progressbar.h
-include/ClanLib-0.8/ClanLib/GUI/radiobutton.h
-include/ClanLib-0.8/ClanLib/GUI/radiogroup.h
-include/ClanLib-0.8/ClanLib/GUI/richedit.h
-include/ClanLib-0.8/ClanLib/GUI/richedit_paragraph.h
-include/ClanLib-0.8/ClanLib/GUI/scrollbar.h
-include/ClanLib-0.8/ClanLib/GUI/setupgui.h
-include/ClanLib-0.8/ClanLib/GUI/stylemanager.h
-include/ClanLib-0.8/ClanLib/GUI/treeitem.h
-include/ClanLib-0.8/ClanLib/GUI/treenode.h
-include/ClanLib-0.8/ClanLib/GUI/treeview.h
-include/ClanLib-0.8/ClanLib/GUI/window.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/button_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/checkbox_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/frame_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/image_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/inputbox_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/label_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/listbox_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/menu_item_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/menu_node_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/menu_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/progressbar_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/radiobutton_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/richedit_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/scrollbar_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/stylemanager_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/treeitem_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/treeview_silver.h
-include/ClanLib-0.8/ClanLib/GUIStyleSilver/window_silver.h
-include/ClanLib-0.8/ClanLib/MikMod/setupmikmod.h
-include/ClanLib-0.8/ClanLib/MikMod/soundprovider_mikmod.h
-include/ClanLib-0.8/ClanLib/Network/IRC/dcc_download.h
-include/ClanLib-0.8/ClanLib/Network/IRC/irc_connection.h
-include/ClanLib-0.8/ClanLib/Network/IRC/irc_numerics.h
-include/ClanLib-0.8/ClanLib/Network/NetObjects/netobject_client.h
-include/ClanLib-0.8/ClanLib/Network/NetObjects/netobject_controller.h
-include/ClanLib-0.8/ClanLib/Network/NetObjects/netobject_server.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/inputsource_netpacket.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/inputsource_netstream.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/netcomputer.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/netgroup.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/netpacket.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/netsession.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/netstream.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/outputsource_netpacket.h
-include/ClanLib-0.8/ClanLib/Network/NetSession/outputsource_netstream.h
-include/ClanLib-0.8/ClanLib/Network/NetVariables/netvariables.h
-include/ClanLib-0.8/ClanLib/Network/Socket/inputsource_socket.h
-include/ClanLib-0.8/ClanLib/Network/Socket/ip_address.h
-include/ClanLib-0.8/ClanLib/Network/Socket/outputsource_socket.h
-include/ClanLib-0.8/ClanLib/Network/Socket/socket.h
-include/ClanLib-0.8/ClanLib/Network/setupnetwork.h
-include/ClanLib-0.8/ClanLib/SDL/setupsdl.h
-include/ClanLib-0.8/ClanLib/Signals/signal.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v0.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v1.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v2.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v3.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v4.h
-include/ClanLib-0.8/ClanLib/Signals/signal_v5.h
-include/ClanLib-0.8/ClanLib/Signals/slot.h
-include/ClanLib-0.8/ClanLib/Signals/slot_container.h
-include/ClanLib-0.8/ClanLib/Signals/slot_generic.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v0.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v1.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v2.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v3.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v4.h
-include/ClanLib-0.8/ClanLib/Signals/slot_v5.h
-include/ClanLib-0.8/ClanLib/Signals/slotbuffer_v0.h
-include/ClanLib-0.8/ClanLib/Signals/slotbuffer_v1.h
-include/ClanLib-0.8/ClanLib/Sound/SoundFilters/echofilter.h
-include/ClanLib-0.8/ClanLib/Sound/SoundFilters/fadefilter.h
-include/ClanLib-0.8/ClanLib/Sound/SoundFilters/inverse_echofilter.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_factory.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_raw.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_recorder.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_type.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_type_register.h
-include/ClanLib-0.8/ClanLib/Sound/SoundProviders/soundprovider_wave.h
-include/ClanLib-0.8/ClanLib/Sound/cd_drive.h
-include/ClanLib-0.8/ClanLib/Sound/setupsound.h
-include/ClanLib-0.8/ClanLib/Sound/sound.h
-include/ClanLib-0.8/ClanLib/Sound/soundbuffer.h
-include/ClanLib-0.8/ClanLib/Sound/soundbuffer_session.h
-include/ClanLib-0.8/ClanLib/Sound/soundfilter.h
-include/ClanLib-0.8/ClanLib/Sound/soundformat.h
-include/ClanLib-0.8/ClanLib/Sound/soundoutput.h
-include/ClanLib-0.8/ClanLib/Sound/soundoutput_description.h
-include/ClanLib-0.8/ClanLib/Sound/soundprovider.h
-include/ClanLib-0.8/ClanLib/Sound/soundprovider_session.h
-include/ClanLib-0.8/ClanLib/Vorbis/setupvorbis.h
-include/ClanLib-0.8/ClanLib/Vorbis/soundprovider_vorbis.h
-include/ClanLib-0.8/ClanLib/application.h
-include/ClanLib-0.8/ClanLib/core.h
-include/ClanLib-0.8/ClanLib/display.h
-include/ClanLib-0.8/ClanLib/gl.h
-include/ClanLib-0.8/ClanLib/gui.h
-include/ClanLib-0.8/ClanLib/guistylesilver.h
-include/ClanLib-0.8/ClanLib/mikmod.h
-include/ClanLib-0.8/ClanLib/network.h
-include/ClanLib-0.8/ClanLib/sdl.h
-include/ClanLib-0.8/ClanLib/signals.h
-include/ClanLib-0.8/ClanLib/sound.h
-include/ClanLib-0.8/ClanLib/vorbis.h
-lib/libclanApp-0.8.so
-lib/libclanApp-0.8.so.1
+include/ClanLib-%%VER%%/ClanLib/Application/clanapp.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/cl_endian.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/datatypes.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/directory.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/directory_scanner.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_file.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_memory.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_provider.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_provider_file.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_zipped.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_file.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_memory.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_provider.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_zipped.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/zip_archive.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/zip_file_entry.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/circle.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/cl_vector.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/delauney_triangulator.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/line_math.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/math.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/matrix4x4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/number_pool.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/origin.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/outline_triangulator.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/point.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/pointset_math.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/quad.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/rect.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/size.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/triangle_math.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vector2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vector2.inl
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resource.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resource_manager.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcedata.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_boolean.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_float.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_integer.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_raw.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_string.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/call_stack.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/cl_assert.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/cl_library.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/clanstring.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/clipboard.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/clonable.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/command_line.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/console_window.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/crash_reporter.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/error.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/event_listener.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/event_trigger.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/keep_alive.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/lazycopyptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/log.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/mutex.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/mutexsharedptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/mutexweakptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/owningptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/setupcore.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/sharedptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/system.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/thread.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v0.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v1.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v2.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/timer.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/weakptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_attr.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_cdata_section.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_character_data.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_comment.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_document.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_document_fragment.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_document_type.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_element.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_entity.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_entity_reference.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_exception.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_implementation.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_named_node_map.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_node.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_node_list.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_notation.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_processing_instruction.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_text.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_token.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_tokenizer.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_writer.h
+include/ClanLib-%%VER%%/ClanLib/Core/core_iostream.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/collision_outline.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/contour.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_accuracy.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_circle.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_math.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_bitmap.h
+include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_file.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/dc_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/bmp_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/jpeg_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/pcx_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/png_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_factory.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_type.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_type_register.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/targa_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/blend_func.h
+include/ClanLib-%%VER%%/ClanLib/Display/canvas.h
+include/ClanLib-%%VER%%/ClanLib/Display/color.h
+include/ClanLib-%%VER%%/ClanLib/Display/display.h
+include/ClanLib-%%VER%%/ClanLib/Display/display_iostream.h
+include/ClanLib-%%VER%%/ClanLib/Display/display_mode.h
+include/ClanLib-%%VER%%/ClanLib/Display/display_window.h
+include/ClanLib-%%VER%%/ClanLib/Display/display_window_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/font.h
+include/ClanLib-%%VER%%/ClanLib/Display/frameratecounter.h
+include/ClanLib-%%VER%%/ClanLib/Display/glyph_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/gradient.h
+include/ClanLib-%%VER%%/ClanLib/Display/graphic_context.h
+include/ClanLib-%%VER%%/ClanLib/Display/input_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/input_button.h
+include/ClanLib-%%VER%%/ClanLib/Display/input_context.h
+include/ClanLib-%%VER%%/ClanLib/Display/input_device.h
+include/ClanLib-%%VER%%/ClanLib/Display/input_event.h
+include/ClanLib-%%VER%%/ClanLib/Display/joystick.h
+include/ClanLib-%%VER%%/ClanLib/Display/key_binding.h
+include/ClanLib-%%VER%%/ClanLib/Display/keyboard.h
+include/ClanLib-%%VER%%/ClanLib/Display/keys.h
+include/ClanLib-%%VER%%/ClanLib/Display/mouse.h
+include/ClanLib-%%VER%%/ClanLib/Display/palette.h
+include/ClanLib-%%VER%%/ClanLib/Display/pixel_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/pixel_format.h
+include/ClanLib-%%VER%%/ClanLib/Display/pixel_format_type.h
+include/ClanLib-%%VER%%/ClanLib/Display/rle_surface.h
+include/ClanLib-%%VER%%/ClanLib/Display/setupdisplay.h
+include/ClanLib-%%VER%%/ClanLib/Display/sprite.h
+include/ClanLib-%%VER%%/ClanLib/Display/sprite_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/sprite_packer.h
+include/ClanLib-%%VER%%/ClanLib/Display/stencil_func.h
+include/ClanLib-%%VER%%/ClanLib/Display/surface.h
+include/ClanLib-%%VER%%/ClanLib/Display/text_styler.h
+include/ClanLib-%%VER%%/ClanLib/GL/light_source.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_state.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_state_data.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_surface.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_window.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_window_description.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_wrap.h
+include/ClanLib-%%VER%%/ClanLib/GL/program_attribute.h
+include/ClanLib-%%VER%%/ClanLib/GL/program_object.h
+include/ClanLib-%%VER%%/ClanLib/GL/program_uniform.h
+include/ClanLib-%%VER%%/ClanLib/GL/setupgl.h
+include/ClanLib-%%VER%%/ClanLib/GL/shader_object.h
+include/ClanLib-%%VER%%/ClanLib/GL/texture.h
+include/ClanLib-%%VER%%/ClanLib/GL/viewpoint.h
+include/ClanLib-%%VER%%/ClanLib/GUI/button.h
+include/ClanLib-%%VER%%/ClanLib/GUI/checkbox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component_manager.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component_move_handler.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component_resize_handler.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component_style.h
+include/ClanLib-%%VER%%/ClanLib/GUI/component_type.h
+include/ClanLib-%%VER%%/ClanLib/GUI/deck.h
+include/ClanLib-%%VER%%/ClanLib/GUI/filedialog.h
+include/ClanLib-%%VER%%/ClanLib/GUI/frame.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_manager.h
+include/ClanLib-%%VER%%/ClanLib/GUI/image.h
+include/ClanLib-%%VER%%/ClanLib/GUI/inputbox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/inputbox_stylebase.h
+include/ClanLib-%%VER%%/ClanLib/GUI/inputdialog.h
+include/ClanLib-%%VER%%/ClanLib/GUI/label.h
+include/ClanLib-%%VER%%/ClanLib/GUI/layout.h
+include/ClanLib-%%VER%%/ClanLib/GUI/listbox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/listitem.h
+include/ClanLib-%%VER%%/ClanLib/GUI/menu.h
+include/ClanLib-%%VER%%/ClanLib/GUI/menu_item.h
+include/ClanLib-%%VER%%/ClanLib/GUI/menu_node.h
+include/ClanLib-%%VER%%/ClanLib/GUI/messagebox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/progressbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/radiobutton.h
+include/ClanLib-%%VER%%/ClanLib/GUI/radiogroup.h
+include/ClanLib-%%VER%%/ClanLib/GUI/richedit.h
+include/ClanLib-%%VER%%/ClanLib/GUI/richedit_paragraph.h
+include/ClanLib-%%VER%%/ClanLib/GUI/scrollbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/setupgui.h
+include/ClanLib-%%VER%%/ClanLib/GUI/stylemanager.h
+include/ClanLib-%%VER%%/ClanLib/GUI/treeitem.h
+include/ClanLib-%%VER%%/ClanLib/GUI/treenode.h
+include/ClanLib-%%VER%%/ClanLib/GUI/treeview.h
+include/ClanLib-%%VER%%/ClanLib/GUI/window.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/button_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/checkbox_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/frame_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/image_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/inputbox_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/label_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/listbox_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_item_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_node_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/progressbar_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/radiobutton_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/richedit_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/scrollbar_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/stylemanager_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/treeitem_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/treeview_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/window_silver.h
+include/ClanLib-%%VER%%/ClanLib/MikMod/setupmikmod.h
+include/ClanLib-%%VER%%/ClanLib/MikMod/soundprovider_mikmod.h
+include/ClanLib-%%VER%%/ClanLib/Network/IRC/dcc_download.h
+include/ClanLib-%%VER%%/ClanLib/Network/IRC/irc_connection.h
+include/ClanLib-%%VER%%/ClanLib/Network/IRC/irc_numerics.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_client.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_controller.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_server.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/inputsource_netpacket.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/inputsource_netstream.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netcomputer.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netgroup.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netpacket.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netsession.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netstream.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/outputsource_netpacket.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetSession/outputsource_netstream.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetVariables/netvariables.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/inputsource_socket.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/ip_address.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/outputsource_socket.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/socket.h
+include/ClanLib-%%VER%%/ClanLib/Network/setupnetwork.h
+include/ClanLib-%%VER%%/ClanLib/SDL/setupsdl.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v0.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v1.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v2.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v3.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v4.h
+include/ClanLib-%%VER%%/ClanLib/Signals/signal_v5.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_container.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_generic.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v0.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v1.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v2.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v3.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v4.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slot_v5.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slotbuffer_v0.h
+include/ClanLib-%%VER%%/ClanLib/Signals/slotbuffer_v1.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/echofilter.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/fadefilter.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/inverse_echofilter.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_factory.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_raw.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_recorder.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_type.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_type_register.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_wave.h
+include/ClanLib-%%VER%%/ClanLib/Sound/cd_drive.h
+include/ClanLib-%%VER%%/ClanLib/Sound/setupsound.h
+include/ClanLib-%%VER%%/ClanLib/Sound/sound.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundbuffer.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundbuffer_session.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundfilter.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundformat.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundoutput.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundoutput_description.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundprovider.h
+include/ClanLib-%%VER%%/ClanLib/Sound/soundprovider_session.h
+include/ClanLib-%%VER%%/ClanLib/Vorbis/setupvorbis.h
+include/ClanLib-%%VER%%/ClanLib/Vorbis/soundprovider_vorbis.h
+include/ClanLib-%%VER%%/ClanLib/application.h
+include/ClanLib-%%VER%%/ClanLib/core.h
+include/ClanLib-%%VER%%/ClanLib/display.h
+include/ClanLib-%%VER%%/ClanLib/gl.h
+include/ClanLib-%%VER%%/ClanLib/gui.h
+include/ClanLib-%%VER%%/ClanLib/guistylesilver.h
+include/ClanLib-%%VER%%/ClanLib/mikmod.h
+include/ClanLib-%%VER%%/ClanLib/network.h
+include/ClanLib-%%VER%%/ClanLib/sdl.h
+include/ClanLib-%%VER%%/ClanLib/signals.h
+include/ClanLib-%%VER%%/ClanLib/sound.h
+include/ClanLib-%%VER%%/ClanLib/vorbis.h
+lib/libclanApp-%%VER%%.so
+lib/libclanApp-%%VER%%.so.1
 lib/libclanApp.a
 lib/libclanApp.la
 lib/libclanApp.so
-lib/libclanCore-0.8.so
-lib/libclanCore-0.8.so.1
+lib/libclanCore-%%VER%%.so
+lib/libclanCore-%%VER%%.so.1
 lib/libclanCore.a
 lib/libclanCore.la
 lib/libclanCore.so
-lib/libclanDisplay-0.8.so
-lib/libclanDisplay-0.8.so.1
+lib/libclanDisplay-%%VER%%.so
+lib/libclanDisplay-%%VER%%.so.1
 lib/libclanDisplay.a
 lib/libclanDisplay.la
 lib/libclanDisplay.so
-lib/libclanGL-0.8.so
-lib/libclanGL-0.8.so.1
+lib/libclanGL-%%VER%%.so
+lib/libclanGL-%%VER%%.so.1
 lib/libclanGL.a
 lib/libclanGL.la
 lib/libclanGL.so
-lib/libclanGUI-0.8.so
-lib/libclanGUI-0.8.so.1
+lib/libclanGUI-%%VER%%.so
+lib/libclanGUI-%%VER%%.so.1
 lib/libclanGUI.a
 lib/libclanGUI.la
 lib/libclanGUI.so
-lib/libclanGUIStyleSilver-0.8.so
-lib/libclanGUIStyleSilver-0.8.so.1
+lib/libclanGUIStyleSilver-%%VER%%.so
+lib/libclanGUIStyleSilver-%%VER%%.so.1
 lib/libclanGUIStyleSilver.a
 lib/libclanGUIStyleSilver.la
 lib/libclanGUIStyleSilver.so
-lib/libclanMikMod-0.8.so
-lib/libclanMikMod-0.8.so.1
+lib/libclanMikMod-%%VER%%.so
+lib/libclanMikMod-%%VER%%.so.1
 lib/libclanMikMod.a
 lib/libclanMikMod.la
 lib/libclanMikMod.so
-lib/libclanNetwork-0.8.so
-lib/libclanNetwork-0.8.so.1
+lib/libclanNetwork-%%VER%%.so
+lib/libclanNetwork-%%VER%%.so.1
 lib/libclanNetwork.a
 lib/libclanNetwork.la
 lib/libclanNetwork.so
-lib/libclanSDL-0.8.so
-lib/libclanSDL-0.8.so.1
+lib/libclanSDL-%%VER%%.so
+lib/libclanSDL-%%VER%%.so.1
 lib/libclanSDL.a
 lib/libclanSDL.la
 lib/libclanSDL.so
-lib/libclanSignals-0.8.so
-lib/libclanSignals-0.8.so.1
+lib/libclanSignals-%%VER%%.so
+lib/libclanSignals-%%VER%%.so.1
 lib/libclanSignals.a
 lib/libclanSignals.la
 lib/libclanSignals.so
-lib/libclanSound-0.8.so
-lib/libclanSound-0.8.so.1
+lib/libclanSound-%%VER%%.so
+lib/libclanSound-%%VER%%.so.1
 lib/libclanSound.a
 lib/libclanSound.la
 lib/libclanSound.so
-lib/libclanVorbis-0.8.so
-lib/libclanVorbis-0.8.so.1
+lib/libclanVorbis-%%VER%%.so
+lib/libclanVorbis-%%VER%%.so.1
 lib/libclanVorbis.a
 lib/libclanVorbis.la
 lib/libclanVorbis.so
-libdata/pkgconfig/clanApp-0.8.pc
-libdata/pkgconfig/clanCore-0.8.pc
-libdata/pkgconfig/clanDisplay-0.8.pc
-libdata/pkgconfig/clanGL-0.8.pc
-libdata/pkgconfig/clanGUI-0.8.pc
-libdata/pkgconfig/clanGUIStyleSilver-0.8.pc
-libdata/pkgconfig/clanMikMod-0.8.pc
-libdata/pkgconfig/clanNetwork-0.8.pc
-libdata/pkgconfig/clanSDL-0.8.pc
-libdata/pkgconfig/clanSignals-0.8.pc
-libdata/pkgconfig/clanSound-0.8.pc
-libdata/pkgconfig/clanVorbis-0.8.pc
-@dirrm include/ClanLib-0.8/ClanLib/Application
-@dirrm include/ClanLib-0.8/ClanLib/Core/IOData
-@dirrm include/ClanLib-0.8/ClanLib/Core/Math
-@dirrm include/ClanLib-0.8/ClanLib/Core/Resources
-@dirrm include/ClanLib-0.8/ClanLib/Core/System
-@dirrm include/ClanLib-0.8/ClanLib/Core/XML
-@dirrm include/ClanLib-0.8/ClanLib/Core
-@dirrm include/ClanLib-0.8/ClanLib/Display/Collision
-@dirrm include/ClanLib-0.8/ClanLib/Display/Providers
-@dirrm include/ClanLib-0.8/ClanLib/Display
-@dirrm include/ClanLib-0.8/ClanLib/GL
-@dirrm include/ClanLib-0.8/ClanLib/GUI
-@dirrm include/ClanLib-0.8/ClanLib/GUIStyleSilver
-@dirrm include/ClanLib-0.8/ClanLib/MikMod
-@dirrm include/ClanLib-0.8/ClanLib/Network/IRC
-@dirrm include/ClanLib-0.8/ClanLib/Network/NetObjects
-@dirrm include/ClanLib-0.8/ClanLib/Network/NetSession
-@dirrm include/ClanLib-0.8/ClanLib/Network/NetVariables
-@dirrm include/ClanLib-0.8/ClanLib/Network/Socket
-@dirrm include/ClanLib-0.8/ClanLib/Network
-@dirrm include/ClanLib-0.8/ClanLib/SDL
-@dirrm include/ClanLib-0.8/ClanLib/Signals
-@dirrm include/ClanLib-0.8/ClanLib/Sound/SoundFilters
-@dirrm include/ClanLib-0.8/ClanLib/Sound/SoundProviders
-@dirrm include/ClanLib-0.8/ClanLib/Sound
-@dirrm include/ClanLib-0.8/ClanLib/Vorbis
-@dirrm include/ClanLib-0.8/ClanLib
-@dirrm include/ClanLib-0.8
+libdata/pkgconfig/clanApp-%%VER%%.pc
+libdata/pkgconfig/clanCore-%%VER%%.pc
+libdata/pkgconfig/clanDisplay-%%VER%%.pc
+libdata/pkgconfig/clanGL-%%VER%%.pc
+libdata/pkgconfig/clanGUI-%%VER%%.pc
+libdata/pkgconfig/clanGUIStyleSilver-%%VER%%.pc
+libdata/pkgconfig/clanMikMod-%%VER%%.pc
+libdata/pkgconfig/clanNetwork-%%VER%%.pc
+libdata/pkgconfig/clanSDL-%%VER%%.pc
+libdata/pkgconfig/clanSignals-%%VER%%.pc
+libdata/pkgconfig/clanSound-%%VER%%.pc
+libdata/pkgconfig/clanVorbis-%%VER%%.pc
+@dirrm include/ClanLib-%%VER%%/ClanLib/Application
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/IOData
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Math
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Resources
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/System
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/XML
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Collision
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Providers
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display
+@dirrm include/ClanLib-%%VER%%/ClanLib/GL
+@dirrm include/ClanLib-%%VER%%/ClanLib/GUI
+@dirrm include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver
+@dirrm include/ClanLib-%%VER%%/ClanLib/MikMod
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/IRC
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetObjects
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetSession
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetVariables
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/Socket
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network
+@dirrm include/ClanLib-%%VER%%/ClanLib/SDL
+@dirrm include/ClanLib-%%VER%%/ClanLib/Signals
+@dirrm include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters
+@dirrm include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders
+@dirrm include/ClanLib-%%VER%%/ClanLib/Sound
+@dirrm include/ClanLib-%%VER%%/ClanLib/Vorbis
+@dirrm include/ClanLib-%%VER%%/ClanLib
+@dirrm include/ClanLib-%%VER%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2012-10-02 11:06:40 UTC
Author: jhale
Date: Tue Oct  2 10:06:27 2012
New Revision: 305153
URL: http://svn.freebsd.org/changeset/ports/305153

Log:
  - Repocopy devel/clanlib -> devel/clanlib1
  - Update to 1.0.0
  
  PR:		ports/171333
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:	makc (mentor)

Added:
  head/devel/clanlib1/
     - copied from r305152, head/devel/clanlib/
  head/devel/clanlib1/files/patch-Sources__Core__System__Unix__init_linux.cpp   (contents, props changed)
  head/devel/clanlib1/files/patch-Sources__Display__Providers__png_provider_generic.cpp   (contents, props changed)
Deleted:
  head/devel/clanlib1/files/patch-Sources-Core-System-Unix_init_linux.cpp
  head/devel/clanlib1/files/patch-Sources-Display-Providers-png_provider_generic.cpp
  head/devel/clanlib1/files/patch-Sources-GL-GLX-display-window-opengl.cpp
  head/devel/clanlib1/files/patch-Sources-GL-GLX-input-device-linuxjoystick.h
  head/devel/clanlib1/files/patch-Sources-GL-GLX-input_device_linuxevent.cpp
  head/devel/clanlib1/files/patch-Sources-GL-GLX-input_device_linuxjoystick.cpp
Modified:
  head/devel/Makefile
  head/devel/clanlib1/Makefile
  head/devel/clanlib1/distinfo   (contents, props changed)
  head/devel/clanlib1/pkg-plist

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Oct  2 08:21:22 2012	(r305152)
+++ head/devel/Makefile	Tue Oct  2 10:06:27 2012	(r305153)
@@ -218,6 +218,7 @@
     SUBDIR += cl-uffi
     SUBDIR += cl-uffi-sbcl
     SUBDIR += clanlib
+    SUBDIR += clanlib1
     SUBDIR += clewn
     SUBDIR += clig
     SUBDIR += clint

Modified: head/devel/clanlib1/Makefile
==============================================================================
--- head/devel/clanlib/Makefile	Tue Oct  2 08:21:22 2012	(r305152)
+++ head/devel/clanlib1/Makefile	Tue Oct  2 10:06:27 2012	(r305153)
@@ -2,48 +2,58 @@
 # $FreeBSD$
 
 PORTNAME=	clanlib
-PORTVERSION=	0.8.1
-PORTREVISION=	12
-PORTEPOCH=	1
+PORTVERSION=	1.0.0
 CATEGORIES=	devel
-MASTER_SITES=	http://www.clanlib.org/download/releases-0.8/
+MASTER_SITES=	http://www.clanlib.org/download/releases-1.0/
 DISTNAME=	ClanLib-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	c.petrik.sosa@gmail.com
 COMMENT=	Cross-platform game SDK
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
+LICENSE=	ZLIB
+LICENSE_GROUPS=	FSF OSI COPYFREE
+LICENSE_NAME=	ZLIB license
+LICENSE_FILE=	${WRKSRC}/COPYING
+LICENSE_PERMS=	${_LICENSE_PERMS_DEFAULT}
+
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
 		png15:${PORTSDIR}/graphics/png \
 		mikmod:${PORTSDIR}/audio/libmikmod \
 		vorbis:${PORTSDIR}/audio/libvorbis
 
-WRKSRC=		${WRKDIR}/ClanLib-${PORTVERSION}
-CPPFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/include/libpng15 ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--disable-clanJavaScript --disable-docs
+LATEST_LINK=	${PORTNAME}1
+
 USE_GMAKE=	yes
-USE_XORG=	x11 xmu xi
+USE_AUTOTOOLS=	libtool
+USE_XORG=	x11 xi
 USE_GNOME=	gnomehack
 USE_LDCONFIG=	yes
 USE_SDL=	gfx
 USE_GL=		yes
 USE_PKGCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
-PLIST_SUB+=	VER=${PORTVERSION:R}
+CPPFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/include/libpng15 ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-docs \
+		--enable-clanDisplay \
+		--enable-clanGL \
+		--enable-clanSDL \
+		--enable-clanSound \
+		--enable-clanNetwork \
+		--enable-clanGUI \
+		--enable-clanMikMod \
+		--enable-clanVorbis \
+		--enable-getaddr
 
-.include <bsd.port.pre.mk>
+PLIST_SUB+=	VER=${PORTVERSION:R}
 
 post-patch:
 	@${GREP} -lR "SDL/SDL" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
 		's|SDL/SDL|SDL|g'
-	@${REINPLACE_CMD} -e 's|(CLvoid)|()|' \
-		${WRKSRC}/Sources/API/GL/opengl_wrap.h
-	@${REINPLACE_CMD} -e 's|-lasound||' \
-		${WRKSRC}/Sources/Sound/Makefile.in
 	@${REINPLACE_CMD} -e 's|@perl_exec@|${PERL}|g' \
 		${WRKSRC}/Documentation/Utilities/webbuilder.pl.in
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/clanlib1/distinfo
==============================================================================
--- head/devel/clanlib/distinfo	Tue Oct  2 08:21:22 2012	(r305152)
+++ head/devel/clanlib1/distinfo	Tue Oct  2 10:06:27 2012	(r305153)
@@ -1,2 +1,2 @@
-SHA256 (ClanLib-0.8.1.tgz) = 094331dda35b0d263431d1551991eb208d8e969824434925548a9fcd1d34e495
-SIZE (ClanLib-0.8.1.tgz) = 7629019
+SHA256 (ClanLib-1.0.0.tgz) = 2a296c30be30b42866666a2d43815c78345c7d78ef2126e2dc1694405dfd67f9
+SIZE (ClanLib-1.0.0.tgz) = 7535910

Added: head/devel/clanlib1/files/patch-Sources__Core__System__Unix__init_linux.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/clanlib1/files/patch-Sources__Core__System__Unix__init_linux.cpp	Tue Oct  2 10:06:27 2012	(r305153)
@@ -0,0 +1,11 @@
+--- ./Sources/Core/System/Unix/init_linux.cpp.orig	2012-09-26 07:30:30.000000000 -0400
++++ ./Sources/Core/System/Unix/init_linux.cpp	2012-09-26 07:29:01.000000000 -0400
+@@ -131,7 +131,7 @@
+ 
+ #else
+ #ifndef PROC_EXE_PATH
+-#define PROC_EXE_PATH "/proc/self/exe"
++#define PROC_EXE_PATH "/proc/curproc/file"
+ #endif
+ 	int size;
+ 	struct stat sb;

Added: head/devel/clanlib1/files/patch-Sources__Display__Providers__png_provider_generic.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/clanlib1/files/patch-Sources__Display__Providers__png_provider_generic.cpp	Tue Oct  2 10:06:27 2012	(r305153)
@@ -0,0 +1,11 @@
+--- ./Sources/Display/Providers/png_provider_generic.cpp.orig	2012-09-26 07:31:33.000000000 -0400
++++ ./Sources/Display/Providers/png_provider_generic.cpp	2012-09-26 07:32:16.000000000 -0400
+@@ -107,7 +107,7 @@
+ 		png_destroy_read_struct(&png_ptr, &info_ptr, (png_infopp) NULL);
+ 		cl_assert(false);
+ 	}   
+-	if (setjmp(png_ptr->jmpbuf))
++	if (setjmp(png_jmpbuf(png_ptr)))
+ 	{
+ 		png_destroy_read_struct(&png_ptr, &info_ptr, &end_info);
+ 		cl_assert(false);

Modified: head/devel/clanlib1/pkg-plist
==============================================================================
--- head/devel/clanlib/pkg-plist	Tue Oct  2 08:21:22 2012	(r305152)
+++ head/devel/clanlib1/pkg-plist	Tue Oct  2 10:06:27 2012	(r305153)
@@ -99,8 +99,8 @@ include/ClanLib-%%VER%%/ClanLib/Display/
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_bitmap.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_file.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/dc_buffer.h
 include/ClanLib-%%VER%%/ClanLib/Display/Providers/bmp_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Providers/dc_buffer.h
 include/ClanLib-%%VER%%/ClanLib/Display/Providers/jpeg_provider.h
 include/ClanLib-%%VER%%/ClanLib/Display/Providers/pcx_provider.h
 include/ClanLib-%%VER%%/ClanLib/Display/Providers/png_provider.h
@@ -288,66 +288,54 @@ include/ClanLib-%%VER%%/ClanLib/sdl.h
 include/ClanLib-%%VER%%/ClanLib/signals.h
 include/ClanLib-%%VER%%/ClanLib/sound.h
 include/ClanLib-%%VER%%/ClanLib/vorbis.h
-lib/libclanApp-%%VER%%.so
-lib/libclanApp-%%VER%%.so.1
 lib/libclanApp.a
 lib/libclanApp.la
 lib/libclanApp.so
-lib/libclanCore-%%VER%%.so
-lib/libclanCore-%%VER%%.so.1
+lib/libclanApp.so.1
 lib/libclanCore.a
 lib/libclanCore.la
 lib/libclanCore.so
-lib/libclanDisplay-%%VER%%.so
-lib/libclanDisplay-%%VER%%.so.1
+lib/libclanCore.so.1
 lib/libclanDisplay.a
 lib/libclanDisplay.la
 lib/libclanDisplay.so
-lib/libclanGL-%%VER%%.so
-lib/libclanGL-%%VER%%.so.1
+lib/libclanDisplay.so.1
 lib/libclanGL.a
 lib/libclanGL.la
 lib/libclanGL.so
-lib/libclanGUI-%%VER%%.so
-lib/libclanGUI-%%VER%%.so.1
+lib/libclanGL.so.1
 lib/libclanGUI.a
 lib/libclanGUI.la
 lib/libclanGUI.so
-lib/libclanGUIStyleSilver-%%VER%%.so
-lib/libclanGUIStyleSilver-%%VER%%.so.1
+lib/libclanGUI.so.1
 lib/libclanGUIStyleSilver.a
 lib/libclanGUIStyleSilver.la
 lib/libclanGUIStyleSilver.so
-lib/libclanMikMod-%%VER%%.so
-lib/libclanMikMod-%%VER%%.so.1
+lib/libclanGUIStyleSilver.so.1
 lib/libclanMikMod.a
 lib/libclanMikMod.la
 lib/libclanMikMod.so
-lib/libclanNetwork-%%VER%%.so
-lib/libclanNetwork-%%VER%%.so.1
+lib/libclanMikMod.so.1
 lib/libclanNetwork.a
 lib/libclanNetwork.la
 lib/libclanNetwork.so
-lib/libclanSDL-%%VER%%.so
-lib/libclanSDL-%%VER%%.so.1
+lib/libclanNetwork.so.1
 lib/libclanSDL.a
 lib/libclanSDL.la
 lib/libclanSDL.so
-lib/libclanSignals-%%VER%%.so
-lib/libclanSignals-%%VER%%.so.1
+lib/libclanSDL.so.1
 lib/libclanSignals.a
 lib/libclanSignals.la
 lib/libclanSignals.so
-lib/libclanSound-%%VER%%.so
-lib/libclanSound-%%VER%%.so.1
+lib/libclanSignals.so.1
 lib/libclanSound.a
 lib/libclanSound.la
 lib/libclanSound.so
-lib/libclanVorbis-%%VER%%.so
-lib/libclanVorbis-%%VER%%.so.1
+lib/libclanSound.so.1
 lib/libclanVorbis.a
 lib/libclanVorbis.la
 lib/libclanVorbis.so
+lib/libclanVorbis.so.1
 libdata/pkgconfig/clanApp-%%VER%%.pc
 libdata/pkgconfig/clanCore-%%VER%%.pc
 libdata/pkgconfig/clanDisplay-%%VER%%.pc
@@ -360,31 +348,31 @@ libdata/pkgconfig/clanSDL-%%VER%%.pc
 libdata/pkgconfig/clanSignals-%%VER%%.pc
 libdata/pkgconfig/clanSound-%%VER%%.pc
 libdata/pkgconfig/clanVorbis-%%VER%%.pc
-@dirrm include/ClanLib-%%VER%%/ClanLib/Application
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core/IOData
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Math
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Resources
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core/System
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core/XML
-@dirrm include/ClanLib-%%VER%%/ClanLib/Core
-@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Collision
-@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Providers
-@dirrm include/ClanLib-%%VER%%/ClanLib/Display
-@dirrm include/ClanLib-%%VER%%/ClanLib/GL
-@dirrm include/ClanLib-%%VER%%/ClanLib/GUI
-@dirrm include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver
-@dirrm include/ClanLib-%%VER%%/ClanLib/MikMod
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network/IRC
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetObjects
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetSession
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetVariables
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network/Socket
-@dirrm include/ClanLib-%%VER%%/ClanLib/Network
-@dirrm include/ClanLib-%%VER%%/ClanLib/SDL
-@dirrm include/ClanLib-%%VER%%/ClanLib/Signals
-@dirrm include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters
+@dirrm include/ClanLib-%%VER%%/ClanLib/Vorbis
 @dirrm include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders
+@dirrm include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters
 @dirrm include/ClanLib-%%VER%%/ClanLib/Sound
-@dirrm include/ClanLib-%%VER%%/ClanLib/Vorbis
+@dirrm include/ClanLib-%%VER%%/ClanLib/Signals
+@dirrm include/ClanLib-%%VER%%/ClanLib/SDL
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/Socket
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetVariables
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetSession
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/NetObjects
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network/IRC
+@dirrm include/ClanLib-%%VER%%/ClanLib/Network
+@dirrm include/ClanLib-%%VER%%/ClanLib/MikMod
+@dirrm include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver
+@dirrm include/ClanLib-%%VER%%/ClanLib/GUI
+@dirrm include/ClanLib-%%VER%%/ClanLib/GL
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Providers
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display/Collision
+@dirrm include/ClanLib-%%VER%%/ClanLib/Display
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/XML
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/System
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Resources
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/Math
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core/IOData
+@dirrm include/ClanLib-%%VER%%/ClanLib/Core
+@dirrm include/ClanLib-%%VER%%/ClanLib/Application
 @dirrm include/ClanLib-%%VER%%/ClanLib
 @dirrm include/ClanLib-%%VER%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2012-10-02 11:28:38 UTC
Author: jhale
Date: Tue Oct  2 10:28:23 2012
New Revision: 305154
URL: http://svn.freebsd.org/changeset/ports/305154

Log:
  - Update devel/clanlib to 2.3.6
  - Adjust dependent ports to use devel/clanlib1 [1]
  - Strip Makefile headers
  
  PR:		ports/171333
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)
  Approved by:	makc (mentor), maintainers via private email [1]

Added:
  head/devel/clanlib/files/patch-Sources__Core__System__Unix__init_linux.cpp   (contents, props changed)
  head/devel/clanlib/files/patch-Sources__Core__System__system.cpp   (contents, props changed)
  head/devel/clanlib/files/patch-Sources__Network__Socket__unix_socket.cpp   (contents, props changed)
Deleted:
  head/devel/clanlib/files/patch-Sources-Core-System-Unix_init_linux.cpp
  head/devel/clanlib/files/patch-Sources-Display-Providers-png_provider_generic.cpp
  head/devel/clanlib/files/patch-Sources-GL-GLX-display-window-opengl.cpp
  head/devel/clanlib/files/patch-Sources-GL-GLX-input-device-linuxjoystick.h
  head/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxevent.cpp
  head/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxjoystick.cpp
Modified:
  head/UPDATING
  head/devel/clanlib/Makefile
  head/devel/clanlib/distinfo   (contents, props changed)
  head/devel/clanlib/pkg-plist
  head/games/openalchemist/Makefile   (contents, props changed)
  head/games/super_methane_brothers/Makefile   (contents, props changed)
  head/games/trophy/Makefile

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Oct  2 10:06:27 2012	(r305153)
+++ head/UPDATING	Tue Oct  2 10:28:23 2012	(r305154)
@@ -5,6 +5,24 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20121002:
+  AFFECTS: users of devel/clanlib
+  AUTHOR: jhale@FreeBSD.org
+
+  devel/clanlib has been updated to 2.3.6 and the legacy version has been
+  moved to devel/clanlib1 and updated to 1.0.0.  Although both versions
+  may be installed at the same time, you should update your port origins
+  first since many ports that depend on clanlib will not work with the
+  new version.
+ 
+  Update your port origins as follows:
+
+  # portmaster -o devel/clanlib1 devel/clanlib
+  or
+  # portupgrade -fo devel/clanlib1 devel/clanlib
+  or
+  # pkg set -o devel/clanlib:devel/clanlib1
+
 20120928:
   AFFECTS: users of mail/maildrop
   AUTHOR: madpilot@FreeBSD.org

Modified: head/devel/clanlib/Makefile
==============================================================================
--- head/devel/clanlib/Makefile	Tue Oct  2 10:06:27 2012	(r305153)
+++ head/devel/clanlib/Makefile	Tue Oct  2 10:28:23 2012	(r305154)
@@ -2,48 +2,63 @@
 # $FreeBSD$
 
 PORTNAME=	clanlib
-PORTVERSION=	0.8.1
-PORTREVISION=	12
+PORTVERSION=	2.3.6
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	http://www.clanlib.org/download/releases-0.8/
+MASTER_SITES=	http://www.clanlib.org/download/releases-2.0/
 DISTNAME=	ClanLib-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	c.petrik.sosa@gmail.com
 COMMENT=	Cross-platform game SDK
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
+LICENSE=	ZLIB
+LICENSE_GROUPS=	FSF OSI COPYFREE
+LICENSE_NAME=	ZLIB license
+LICENSE_FILE=	${WRKSRC}/COPYING
+LICENSE_PERMS=	${_LICENSE_PERMS_DEFAULT}
+
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
 		png15:${PORTSDIR}/graphics/png \
 		mikmod:${PORTSDIR}/audio/libmikmod \
-		vorbis:${PORTSDIR}/audio/libvorbis
+		vorbis:${PORTSDIR}/audio/libvorbis \
+		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
+		pcre:${PORTSDIR}/devel/pcre
 
-WRKSRC=		${WRKDIR}/ClanLib-${PORTVERSION}
-CPPFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/include/libpng15 ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--disable-clanJavaScript --disable-docs
 USE_GMAKE=	yes
-USE_XORG=	x11 xmu xi
+USE_GCC=	4.6+
+USE_XORG=	x11
 USE_GNOME=	gnomehack
 USE_LDCONFIG=	yes
-USE_SDL=	gfx
 USE_GL=		yes
 USE_PKGCONFIG=	yes
+USE_SQLITE=	yes
+MAKE_JOBS_SAFE=	yes
 
-PLIST_SUB+=	VER=${PORTVERSION:R}
+CPPFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/include/libpng15 ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-docs \
+		--enable-clanDisplay \
+		--enable-clanGL \
+		--enable-clanGL1 \
+		--enable-clanSound \
+		--enable-clanDatabase \
+		--enable-clanSqlite \
+		--enable-clanRegExp \
+		--enable-clanNetwork \
+		--enable-clanGUI \
+		--enable-clanCSSLayout \
+		--enable-clanSWRender \
+		--enable-clanMikMod \
+		--enable-clanVorbis \
+		--enable-getaddr
 
-.include <bsd.port.pre.mk>
+PLIST_SUB+=	VER=${PORTVERSION:R} \
+		SHORT_VER=${PORTVERSION:R:R}${PORTVERSION:R:E}
 
 post-patch:
-	@${GREP} -lR "SDL/SDL" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
-		's|SDL/SDL|SDL|g'
-	@${REINPLACE_CMD} -e 's|(CLvoid)|()|' \
-		${WRKSRC}/Sources/API/GL/opengl_wrap.h
-	@${REINPLACE_CMD} -e 's|-lasound||' \
-		${WRKSRC}/Sources/Sound/Makefile.in
-	@${REINPLACE_CMD} -e 's|@perl_exec@|${PERL}|g' \
-		${WRKSRC}/Documentation/Utilities/webbuilder.pl.in
+	@${REINPLACE_CMD} -e 's|LIBS="-lsqlite3 -ldl"|LIBS="-lsqlite3"|g' \
+		${WRKSRC}/configure
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/clanlib/distinfo
==============================================================================
--- head/devel/clanlib/distinfo	Tue Oct  2 10:06:27 2012	(r305153)
+++ head/devel/clanlib/distinfo	Tue Oct  2 10:28:23 2012	(r305154)
@@ -1,2 +1,2 @@
-SHA256 (ClanLib-0.8.1.tgz) = 094331dda35b0d263431d1551991eb208d8e969824434925548a9fcd1d34e495
-SIZE (ClanLib-0.8.1.tgz) = 7629019
+SHA256 (ClanLib-2.3.6.tgz) = b8dc9b41028bf16c0a6082aa15cdee5d8b1ecd5256797576970f09a63e3fafde
+SIZE (ClanLib-2.3.6.tgz) = 25605576

Added: head/devel/clanlib/files/patch-Sources__Core__System__Unix__init_linux.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/clanlib/files/patch-Sources__Core__System__Unix__init_linux.cpp	Tue Oct  2 10:28:23 2012	(r305154)
@@ -0,0 +1,11 @@
+--- ./Sources/Core/System/Unix/init_linux.cpp.orig	2012-03-05 06:24:31.000000000 -0500
++++ ./Sources/Core/System/Unix/init_linux.cpp	2012-09-25 07:42:19.000000000 -0400
+@@ -111,7 +111,7 @@
+ 
+ #else
+ #ifndef PROC_EXE_PATH
+-#define PROC_EXE_PATH "/proc/self/exe"
++#define PROC_EXE_PATH "/proc/curproc/file"
+ #endif
+ 	int size;
+ 	struct stat sb;

Added: head/devel/clanlib/files/patch-Sources__Core__System__system.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/clanlib/files/patch-Sources__Core__System__system.cpp	Tue Oct  2 10:28:23 2012	(r305154)
@@ -0,0 +1,34 @@
+--- ./Sources/Core/System/system.cpp.orig	2012-09-25 07:46:49.000000000 -0400
++++ ./Sources/Core/System/system.cpp	2012-09-25 07:57:19.000000000 -0400
+@@ -1,3 +1,4 @@
++
+ /*
+ **  ClanLib SDK
+ **  Copyright (c) 1997-2011 The ClanLib Team
+@@ -44,7 +45,7 @@
+ #include <sys/sysctl.h>
+ #endif
+ 
+-#ifndef __APPLE__
++#if !(defined(__APPLE__) || defined(__FreeBSD__))
+ #include <execinfo.h>
+ #endif
+ #include <cxxabi.h>
+@@ -128,7 +129,7 @@
+ 		*out_hash = 0;
+ 	return capturedFrames;
+ 
+-#elif !defined(__APPLE__)
++#elif !(defined(__APPLE__) || defined(__FreeBSD__))
+ 	// Ensure the output is cleared
+ 	memset(out_frames, 0, (sizeof(void *)) * max_frames);
+ 
+@@ -188,7 +189,7 @@
+ 	SymCleanup(GetCurrentProcess());
+ 	return backtrace_text;
+ 
+-#elif !defined(__APPLE__)
++#elif !(defined(__APPLE__) || defined(__FreeBSD__))
+ 
+ 	char **strings;
+  	strings = backtrace_symbols(frames, num_frames);

Added: head/devel/clanlib/files/patch-Sources__Network__Socket__unix_socket.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/clanlib/files/patch-Sources__Network__Socket__unix_socket.cpp	Tue Oct  2 10:28:23 2012	(r305154)
@@ -0,0 +1,20 @@
+--- ./Sources/Network/Socket/unix_socket.cpp.orig	2012-09-25 07:45:17.000000000 -0400
++++ ./Sources/Network/Socket/unix_socket.cpp	2012-09-25 08:00:41.000000000 -0400
+@@ -39,7 +39,7 @@
+ #include <netinet/tcp.h>
+ #include <errno.h>
+ 
+-#ifdef __APPLE__
++#if defined(__APPLE__) || defined(__FreeBSD__)
+ # define SOL_TCP IPPROTO_TCP    // Fix for BSD systems. --NDT
+ #endif
+ 
+@@ -140,7 +140,7 @@
+ 
+ void CL_UnixSocket::set_keep_alive(bool enable, int timeout, int interval)
+ {
+-#ifndef __APPLE__
++#if !(defined(__APPLE__) || defined(__FreeBSD__))
+ 	int value = enable ? 1 : 0;
+ 	int result = setsockopt(handle, SOL_SOCKET, SO_KEEPALIVE, (const char *) &value, sizeof(int));
+ 	throw_if_failed(result);

Modified: head/devel/clanlib/pkg-plist
==============================================================================
--- head/devel/clanlib/pkg-plist	Tue Oct  2 10:06:27 2012	(r305153)
+++ head/devel/clanlib/pkg-plist	Tue Oct  2 10:28:23 2012	(r305154)
@@ -1,74 +1,246 @@
-include/ClanLib-%%VER%%/ClanLib/Application/clanapp.h
+include/ClanLib-%%VER%%/ClanLib/App/api_app.h
+include/ClanLib-%%VER%%/ClanLib/App/clanapp.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_attachment.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_clip.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_color.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_image.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_origin.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_position.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_repeat.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_background_size.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_collapse.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_color.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_image_outset.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_image_repeat.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_image_slice.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_image_source.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_image_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_radius.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_spacing.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_style.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_border_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_bottom.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_caption_side.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_clear.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_clip.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_color.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_content.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_counter_increment.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_counter_reset.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_cursor.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_decoration_break.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_direction.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_display.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_empty_cells.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_float.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_font_family.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_font_size.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_font_style.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_font_variant.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_font_weight.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_height.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_left.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_letter_spacing.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_line_height.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_list_style_image.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_list_style_position.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_list_style_type.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_margin_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_max_height.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_max_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_min_height.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_min_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_orphans.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_outline_color.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_outline_style.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_outline_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_overflow.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_padding_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_page_break_after.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_page_break_before.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_page_break_inside.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_position.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_quotes.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_right.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_shadow.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_table_layout.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_text_align.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_text_decoration.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_text_indent.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_text_transform.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_top.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_unicode_bidi.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_vertical_align.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_visibility.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_white_space.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_widows.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_width.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_word_spacing.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/PropertyTypes/css_box_z_index.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/api_csslayout.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_box_length.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_box_properties.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_box_property.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_document2.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_hit_test_result.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout_element.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout_node.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout_object.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout_text.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_layout_user_data.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_property2.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_property_list2.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_replaced_component.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/css_select_node2.h
+include/ClanLib-%%VER%%/ClanLib/CSSLayout/dom_select_node.h
+include/ClanLib-%%VER%%/ClanLib/Core/CSS/css_document.h
+include/ClanLib-%%VER%%/ClanLib/Core/CSS/css_property.h
+include/ClanLib-%%VER%%/ClanLib/Core/CSS/css_token.h
+include/ClanLib-%%VER%%/ClanLib/Core/CSS/css_tokenizer.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes128_decrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes128_encrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes192_decrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes192_encrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes256_decrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/aes256_encrypt.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/md5.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/random.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/rsa.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/secret.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha224.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha256.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha384.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha512.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha512_224.h
+include/ClanLib-%%VER%%/ClanLib/Core/Crypto/sha512_256.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/access_control_list.h
 include/ClanLib-%%VER%%/ClanLib/Core/IOData/cl_endian.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/datatypes.h
 include/ClanLib-%%VER%%/ClanLib/Core/IOData/directory.h
 include/ClanLib-%%VER%%/ClanLib/Core/IOData/directory_scanner.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_file.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_memory.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_provider.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_provider_file.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/inputsource_zipped.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_file.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_memory.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_provider.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/outputsource_zipped.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/zip_archive.h
-include/ClanLib-%%VER%%/ClanLib/Core/IOData/zip_file_entry.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/file.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/file_help.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/html_url.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/iodevice.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/iodevice_memory.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/iodevice_provider.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/path_help.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/pipe_connection.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/pipe_listen.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/security_descriptor.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/security_identifier.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/virtual_directory.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/virtual_directory_listing.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/virtual_directory_listing_entry.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/virtual_file_source.h
+include/ClanLib-%%VER%%/ClanLib/Core/IOData/virtual_file_system.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/angle.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/base64_decoder.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/base64_encoder.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/bezier_curve.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/circle.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/cl_vector.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/cl_math.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/delauney_triangulator.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/ear_clip_result.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/ear_clip_triangulator.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/hash_functions.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/line.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/line_math.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/math.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/matrix4x4.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/number_pool.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/line_ray.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/line_segment.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/mat2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/mat3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/mat4.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/origin.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/outline_triangulator.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/point.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/pointset_math.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/quad.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/quaternion.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/rect.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/rect_packer.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/sha1.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/size.h
 include/ClanLib-%%VER%%/ClanLib/Core/Math/triangle_math.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/vector2.h
-include/ClanLib-%%VER%%/ClanLib/Core/Math/vector2.inl
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vec1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vec2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vec3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Math/vec4.h
 include/ClanLib-%%VER%%/ClanLib/Core/Resources/resource.h
+include/ClanLib-%%VER%%/ClanLib/Core/Resources/resource_data_session.h
 include/ClanLib-%%VER%%/ClanLib/Core/Resources/resource_manager.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcedata.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_boolean.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_float.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_integer.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_raw.h
-include/ClanLib-%%VER%%/ClanLib/Core/Resources/resourcetype_string.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/call_stack.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/cl_assert.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/cl_library.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/clanstring.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/clipboard.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/clonable.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_0.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_5.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v0.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/callback_v5.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v0.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signal_v5.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/signals_impl.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/slot.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/slot_container.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_0.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_5.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v0.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v1.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v2.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v3.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v4.h
+include/ClanLib-%%VER%%/ClanLib/Core/Signals/virtual_function_v5.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/block_allocator.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/cl_platform.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/command_line.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/console_window.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/crash_reporter.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/error.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/event_listener.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/event_trigger.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/databuffer.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/datetime.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/disposable_object.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/event.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/event_provider.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/exception.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/interlocked_variable.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/keep_alive.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/lazycopyptr.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/log.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/mutex.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/mutexsharedptr.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/mutexweakptr.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/owningptr.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/setupcore.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/registry_key.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/runnable.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/service.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/setup_core.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/sharedptr.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/system.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/thread.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v0.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v1.h
-include/ClanLib-%%VER%%/ClanLib/Core/System/threadfunc_v2.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/thread_local_storage.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/timer.h
+include/ClanLib-%%VER%%/ClanLib/Core/System/uniqueptr.h
 include/ClanLib-%%VER%%/ClanLib/Core/System/weakptr.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/console.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/console_logger.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/file_logger.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/logger.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string16.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string8.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_allocator.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_data16.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_data8.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_format.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_help.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_ref16.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_ref8.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/string_types.h
+include/ClanLib-%%VER%%/ClanLib/Core/Text/utf8_reader.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_attr.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_cdata_section.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_character_data.h
@@ -86,11 +258,45 @@ include/ClanLib-%%VER%%/ClanLib/Core/XML
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_node_list.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_notation.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_processing_instruction.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_string.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/dom_text.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_token.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_tokenizer.h
 include/ClanLib-%%VER%%/ClanLib/Core/XML/xml_writer.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xpath_evaluator.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xpath_exception.h
+include/ClanLib-%%VER%%/ClanLib/Core/XML/xpath_object.h
+include/ClanLib-%%VER%%/ClanLib/Core/Zip/zip_archive.h
+include/ClanLib-%%VER%%/ClanLib/Core/Zip/zip_file_entry.h
+include/ClanLib-%%VER%%/ClanLib/Core/Zip/zip_reader.h
+include/ClanLib-%%VER%%/ClanLib/Core/Zip/zip_writer.h
+include/ClanLib-%%VER%%/ClanLib/Core/api_core.h
 include/ClanLib-%%VER%%/ClanLib/Core/core_iostream.h
+include/ClanLib-%%VER%%/ClanLib/Database/api_database.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_command.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_command_provider.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_connection.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_connection_provider.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_reader.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_reader_provider.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_transaction.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_transaction_provider.h
+include/ClanLib-%%VER%%/ClanLib/Database/db_value.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/collidable_sprite.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/color.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/color_hsl.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/color_hsl2.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/color_hsv.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/color_hsv2.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/draw.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/gradient.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/image.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/rounded_rect.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/span_layout.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/sprite.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/sprite_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/subtexture.h
+include/ClanLib-%%VER%%/ClanLib/Display/2D/texture_group.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/collision_outline.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/contour.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_accuracy.h
@@ -99,292 +305,379 @@ include/ClanLib-%%VER%%/ClanLib/Display/
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_bitmap.h
 include/ClanLib-%%VER%%/ClanLib/Display/Collision/outline_provider_file.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/dc_buffer.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/bmp_provider.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/jpeg_provider.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/pcx_provider.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/png_provider.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_factory.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_type.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/provider_type_register.h
-include/ClanLib-%%VER%%/ClanLib/Display/Providers/targa_provider.h
-include/ClanLib-%%VER%%/ClanLib/Display/blend_func.h
-include/ClanLib-%%VER%%/ClanLib/Display/canvas.h
-include/ClanLib-%%VER%%/ClanLib/Display/color.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_freetype.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_metrics.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_sprite.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_system.h
+include/ClanLib-%%VER%%/ClanLib/Display/Font/font_vector.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/buffer_usage.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/icon_set.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/image_import_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/palette.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/perlin_noise.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/pixel_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/pixel_buffer_help.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/pixel_format.h
+include/ClanLib-%%VER%%/ClanLib/Display/Image/texture_format.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/jpeg_compressor.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/jpeg_decompressor.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/jpeg_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/pcx_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/png_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/provider_factory.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/provider_type.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/provider_type_register.h
+include/ClanLib-%%VER%%/ClanLib/Display/ImageProviders/targa_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/blend_mode.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/buffer_control.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/compare_function.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/element_array_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/frame_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/graphic_context.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/occlusion_query.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/pen.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/polygon_rasterizer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/primitives_array.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/primitives_array_builder.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/program_attribute.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/program_object.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/program_uniform.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/render_batcher.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/render_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/shader_object.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/shared_gc_data.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/texture.h
+include/ClanLib-%%VER%%/ClanLib/Display/Render/vertex_array_buffer.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/cursor_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/display_target_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/display_window_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/element_array_buffer_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/font_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/frame_buffer_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/graphic_context_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/input_device_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/occlusion_query_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/pixel_buffer_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/program_object_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/render_buffer_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/render_window_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/shader_object_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/texture_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/TargetProviders/vertex_array_buffer_provider.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/cursor.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/display_window.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/display_window_description.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/input_context.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/input_device.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/input_event.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/input_state.h
+include/ClanLib-%%VER%%/ClanLib/Display/Window/keys.h
+include/ClanLib-%%VER%%/ClanLib/Display/api_display.h
 include/ClanLib-%%VER%%/ClanLib/Display/display.h
-include/ClanLib-%%VER%%/ClanLib/Display/display_iostream.h
-include/ClanLib-%%VER%%/ClanLib/Display/display_mode.h
-include/ClanLib-%%VER%%/ClanLib/Display/display_window.h
-include/ClanLib-%%VER%%/ClanLib/Display/display_window_description.h
-include/ClanLib-%%VER%%/ClanLib/Display/font.h
-include/ClanLib-%%VER%%/ClanLib/Display/frameratecounter.h
-include/ClanLib-%%VER%%/ClanLib/Display/glyph_buffer.h
-include/ClanLib-%%VER%%/ClanLib/Display/gradient.h
-include/ClanLib-%%VER%%/ClanLib/Display/graphic_context.h
-include/ClanLib-%%VER%%/ClanLib/Display/input_buffer.h
-include/ClanLib-%%VER%%/ClanLib/Display/input_button.h
-include/ClanLib-%%VER%%/ClanLib/Display/input_context.h
-include/ClanLib-%%VER%%/ClanLib/Display/input_device.h
-include/ClanLib-%%VER%%/ClanLib/Display/input_event.h
-include/ClanLib-%%VER%%/ClanLib/Display/joystick.h
-include/ClanLib-%%VER%%/ClanLib/Display/key_binding.h
-include/ClanLib-%%VER%%/ClanLib/Display/keyboard.h
-include/ClanLib-%%VER%%/ClanLib/Display/keys.h
-include/ClanLib-%%VER%%/ClanLib/Display/mouse.h
-include/ClanLib-%%VER%%/ClanLib/Display/palette.h
-include/ClanLib-%%VER%%/ClanLib/Display/pixel_buffer.h
-include/ClanLib-%%VER%%/ClanLib/Display/pixel_format.h
-include/ClanLib-%%VER%%/ClanLib/Display/pixel_format_type.h
-include/ClanLib-%%VER%%/ClanLib/Display/rle_surface.h
-include/ClanLib-%%VER%%/ClanLib/Display/setupdisplay.h
-include/ClanLib-%%VER%%/ClanLib/Display/sprite.h
-include/ClanLib-%%VER%%/ClanLib/Display/sprite_description.h
-include/ClanLib-%%VER%%/ClanLib/Display/sprite_packer.h
-include/ClanLib-%%VER%%/ClanLib/Display/stencil_func.h
-include/ClanLib-%%VER%%/ClanLib/Display/surface.h
-include/ClanLib-%%VER%%/ClanLib/Display/text_styler.h
-include/ClanLib-%%VER%%/ClanLib/GL/light_source.h
+include/ClanLib-%%VER%%/ClanLib/Display/display_target.h
+include/ClanLib-%%VER%%/ClanLib/Display/screen_info.h
+include/ClanLib-%%VER%%/ClanLib/Display/setup_display.h
+include/ClanLib-%%VER%%/ClanLib/GL/api_gl.h
 include/ClanLib-%%VER%%/ClanLib/GL/opengl.h
-include/ClanLib-%%VER%%/ClanLib/GL/opengl_state.h
-include/ClanLib-%%VER%%/ClanLib/GL/opengl_state_data.h
-include/ClanLib-%%VER%%/ClanLib/GL/opengl_surface.h
-include/ClanLib-%%VER%%/ClanLib/GL/opengl_window.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_defines.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_graphic_context.h
+include/ClanLib-%%VER%%/ClanLib/GL/opengl_target.h
 include/ClanLib-%%VER%%/ClanLib/GL/opengl_window_description.h
 include/ClanLib-%%VER%%/ClanLib/GL/opengl_wrap.h
-include/ClanLib-%%VER%%/ClanLib/GL/program_attribute.h
-include/ClanLib-%%VER%%/ClanLib/GL/program_object.h
-include/ClanLib-%%VER%%/ClanLib/GL/program_uniform.h
-include/ClanLib-%%VER%%/ClanLib/GL/setupgl.h
-include/ClanLib-%%VER%%/ClanLib/GL/shader_object.h
-include/ClanLib-%%VER%%/ClanLib/GL/texture.h
-include/ClanLib-%%VER%%/ClanLib/GL/viewpoint.h
-include/ClanLib-%%VER%%/ClanLib/GUI/button.h
-include/ClanLib-%%VER%%/ClanLib/GUI/checkbox.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component_manager.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component_move_handler.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component_resize_handler.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component_style.h
-include/ClanLib-%%VER%%/ClanLib/GUI/component_type.h
-include/ClanLib-%%VER%%/ClanLib/GUI/deck.h
-include/ClanLib-%%VER%%/ClanLib/GUI/filedialog.h
-include/ClanLib-%%VER%%/ClanLib/GUI/frame.h
+include/ClanLib-%%VER%%/ClanLib/GL/setup_gl.h
+include/ClanLib-%%VER%%/ClanLib/GL1/api_gl1.h
+include/ClanLib-%%VER%%/ClanLib/GL1/graphic_context_gl1.h
+include/ClanLib-%%VER%%/ClanLib/GL1/light_model.h
+include/ClanLib-%%VER%%/ClanLib/GL1/light_source.h
+include/ClanLib-%%VER%%/ClanLib/GL1/material.h
+include/ClanLib-%%VER%%/ClanLib/GL1/opengl1.h
+include/ClanLib-%%VER%%/ClanLib/GL1/opengl1_defines.h
+include/ClanLib-%%VER%%/ClanLib/GL1/opengl1_target.h
+include/ClanLib-%%VER%%/ClanLib/GL1/opengl1_window_description.h
+include/ClanLib-%%VER%%/ClanLib/GL1/opengl1_wrap.h
+include/ClanLib-%%VER%%/ClanLib/GL1/setup_gl1.h
+include/ClanLib-%%VER%%/ClanLib/GL1/texture_unit.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/checkbox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/combobox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/folderbrowsedialog.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/frame.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/groupbox.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/imageview.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/label.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/lineedit.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_column_data.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_column_header.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_header.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_icon.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_icon_list.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_item.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/listview_selected_item.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/main_window.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/menubar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/message_box.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/openfiledialog.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/popupmenu.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/popupmenu_item.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/progressbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/push_button.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/radiobutton.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/savefiledialog.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/scrollbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/slider.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/spin.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/statusbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/tab.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/tab_page.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/textedit.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/toolbar.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/toolbar_item.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/tooltip.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Components/window.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Providers/gui_layout_provider.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Providers/gui_theme_provider.h
+include/ClanLib-%%VER%%/ClanLib/GUI/Providers/gui_window_manager_provider.h
+include/ClanLib-%%VER%%/ClanLib/GUI/accelerator_key.h
+include/ClanLib-%%VER%%/ClanLib/GUI/accelerator_table.h
+include/ClanLib-%%VER%%/ClanLib/GUI/api_gui.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_component.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_component_description.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_layout.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_layout_corners.h
 include/ClanLib-%%VER%%/ClanLib/GUI/gui_manager.h
-include/ClanLib-%%VER%%/ClanLib/GUI/image.h
-include/ClanLib-%%VER%%/ClanLib/GUI/inputbox.h
-include/ClanLib-%%VER%%/ClanLib/GUI/inputbox_stylebase.h
-include/ClanLib-%%VER%%/ClanLib/GUI/inputdialog.h
-include/ClanLib-%%VER%%/ClanLib/GUI/label.h
-include/ClanLib-%%VER%%/ClanLib/GUI/layout.h
-include/ClanLib-%%VER%%/ClanLib/GUI/listbox.h
-include/ClanLib-%%VER%%/ClanLib/GUI/listitem.h
-include/ClanLib-%%VER%%/ClanLib/GUI/menu.h
-include/ClanLib-%%VER%%/ClanLib/GUI/menu_item.h
-include/ClanLib-%%VER%%/ClanLib/GUI/menu_node.h
-include/ClanLib-%%VER%%/ClanLib/GUI/messagebox.h
-include/ClanLib-%%VER%%/ClanLib/GUI/progressbar.h
-include/ClanLib-%%VER%%/ClanLib/GUI/radiobutton.h
-include/ClanLib-%%VER%%/ClanLib/GUI/radiogroup.h
-include/ClanLib-%%VER%%/ClanLib/GUI/richedit.h
-include/ClanLib-%%VER%%/ClanLib/GUI/richedit_paragraph.h
-include/ClanLib-%%VER%%/ClanLib/GUI/scrollbar.h
-include/ClanLib-%%VER%%/ClanLib/GUI/setupgui.h
-include/ClanLib-%%VER%%/ClanLib/GUI/stylemanager.h
-include/ClanLib-%%VER%%/ClanLib/GUI/treeitem.h
-include/ClanLib-%%VER%%/ClanLib/GUI/treenode.h
-include/ClanLib-%%VER%%/ClanLib/GUI/treeview.h
-include/ClanLib-%%VER%%/ClanLib/GUI/window.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/button_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/checkbox_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/frame_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/image_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/inputbox_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/label_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/listbox_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_item_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_node_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/menu_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/progressbar_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/radiobutton_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/richedit_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/scrollbar_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/stylemanager_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/treeitem_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/treeview_silver.h
-include/ClanLib-%%VER%%/ClanLib/GUIStyleSilver/window_silver.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_activation_change.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_close.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_focus_change.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_input.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_pointer.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_message_resize.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_theme.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_theme_default.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_theme_part.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_theme_part_property.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_window_manager.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_window_manager_direct.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_window_manager_system.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_window_manager_texture.h
+include/ClanLib-%%VER%%/ClanLib/GUI/gui_window_manager_texture_window.h
+include/ClanLib-%%VER%%/ClanLib/GUI/setup_gui.h
+include/ClanLib-%%VER%%/ClanLib/MikMod/api_mikmod.h
 include/ClanLib-%%VER%%/ClanLib/MikMod/setupmikmod.h
 include/ClanLib-%%VER%%/ClanLib/MikMod/soundprovider_mikmod.h
-include/ClanLib-%%VER%%/ClanLib/Network/IRC/dcc_download.h
-include/ClanLib-%%VER%%/ClanLib/Network/IRC/irc_connection.h
-include/ClanLib-%%VER%%/ClanLib/Network/IRC/irc_numerics.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_client.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_controller.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetObjects/netobject_server.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/inputsource_netpacket.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/inputsource_netstream.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netcomputer.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netgroup.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netpacket.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netsession.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/netstream.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/outputsource_netpacket.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetSession/outputsource_netstream.h
-include/ClanLib-%%VER%%/ClanLib/Network/NetVariables/netvariables.h
-include/ClanLib-%%VER%%/ClanLib/Network/Socket/inputsource_socket.h
-include/ClanLib-%%VER%%/ClanLib/Network/Socket/ip_address.h
-include/ClanLib-%%VER%%/ClanLib/Network/Socket/outputsource_socket.h
-include/ClanLib-%%VER%%/ClanLib/Network/Socket/socket.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/client.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/connection.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/connection_site.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event_dispatcher_v0.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event_dispatcher_v1.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event_dispatcher_v2.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event_dispatcher_v3.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/event_value.h
+include/ClanLib-%%VER%%/ClanLib/Network/NetGame/server.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/dns_packet.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/dns_resolver.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/dns_resource_record.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/socket_name.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/tcp_connection.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/tcp_listen.h
+include/ClanLib-%%VER%%/ClanLib/Network/Socket/udp_socket.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/http_request_handler.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/http_request_handler_provider.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/http_server.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/http_server_connection.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/web_request.h
+include/ClanLib-%%VER%%/ClanLib/Network/Web/web_response.h
+include/ClanLib-%%VER%%/ClanLib/Network/api_network.h
 include/ClanLib-%%VER%%/ClanLib/Network/setupnetwork.h
-include/ClanLib-%%VER%%/ClanLib/SDL/setupsdl.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v0.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v1.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v2.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v3.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v4.h
-include/ClanLib-%%VER%%/ClanLib/Signals/signal_v5.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_container.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_generic.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v0.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v1.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v2.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v3.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v4.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slot_v5.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slotbuffer_v0.h
-include/ClanLib-%%VER%%/ClanLib/Signals/slotbuffer_v1.h
+include/ClanLib-%%VER%%/ClanLib/RegExp/api_regexp.h
+include/ClanLib-%%VER%%/ClanLib/RegExp/regexp.h
+include/ClanLib-%%VER%%/ClanLib/RegExp/regexp_match.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/api_swrender.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/blit_argb8_sse.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/pixel_buffer_data.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/pixel_command.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/pixel_thread_context.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/setup_swrender.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/software_program.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/swr_graphic_context.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/swr_program_object.h
+include/ClanLib-%%VER%%/ClanLib/SWRender/swr_target.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/echofilter.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/fadefilter.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundFilters/inverse_echofilter.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundfilter_provider.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_factory.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_raw.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_recorder.h
+include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_session.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_type.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_type_register.h
 include/ClanLib-%%VER%%/ClanLib/Sound/SoundProviders/soundprovider_wave.h
+include/ClanLib-%%VER%%/ClanLib/Sound/api_sound.h
 include/ClanLib-%%VER%%/ClanLib/Sound/cd_drive.h
 include/ClanLib-%%VER%%/ClanLib/Sound/setupsound.h
 include/ClanLib-%%VER%%/ClanLib/Sound/sound.h
+include/ClanLib-%%VER%%/ClanLib/Sound/sound_sse.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundbuffer.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundbuffer_session.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundfilter.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundformat.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundoutput.h
 include/ClanLib-%%VER%%/ClanLib/Sound/soundoutput_description.h
-include/ClanLib-%%VER%%/ClanLib/Sound/soundprovider.h
-include/ClanLib-%%VER%%/ClanLib/Sound/soundprovider_session.h
+include/ClanLib-%%VER%%/ClanLib/Sqlite/api_sqlite.h
+include/ClanLib-%%VER%%/ClanLib/Sqlite/sqlite_connection.h
+include/ClanLib-%%VER%%/ClanLib/Vorbis/api_vorbis.h
 include/ClanLib-%%VER%%/ClanLib/Vorbis/setupvorbis.h
 include/ClanLib-%%VER%%/ClanLib/Vorbis/soundprovider_vorbis.h
 include/ClanLib-%%VER%%/ClanLib/application.h
 include/ClanLib-%%VER%%/ClanLib/core.h
+include/ClanLib-%%VER%%/ClanLib/csslayout.h
+include/ClanLib-%%VER%%/ClanLib/database.h
 include/ClanLib-%%VER%%/ClanLib/display.h
 include/ClanLib-%%VER%%/ClanLib/gl.h
+include/ClanLib-%%VER%%/ClanLib/gl1.h
 include/ClanLib-%%VER%%/ClanLib/gui.h
-include/ClanLib-%%VER%%/ClanLib/guistylesilver.h
 include/ClanLib-%%VER%%/ClanLib/mikmod.h
 include/ClanLib-%%VER%%/ClanLib/network.h
-include/ClanLib-%%VER%%/ClanLib/sdl.h
-include/ClanLib-%%VER%%/ClanLib/signals.h
+include/ClanLib-%%VER%%/ClanLib/regexp.h
 include/ClanLib-%%VER%%/ClanLib/sound.h
+include/ClanLib-%%VER%%/ClanLib/sqlite.h
+include/ClanLib-%%VER%%/ClanLib/swrender.h
 include/ClanLib-%%VER%%/ClanLib/vorbis.h
-lib/libclanApp-%%VER%%.so
-lib/libclanApp-%%VER%%.so.1
-lib/libclanApp.a
-lib/libclanApp.la
-lib/libclanApp.so
-lib/libclanCore-%%VER%%.so
-lib/libclanCore-%%VER%%.so.1
-lib/libclanCore.a
-lib/libclanCore.la
-lib/libclanCore.so
-lib/libclanDisplay-%%VER%%.so
-lib/libclanDisplay-%%VER%%.so.1
-lib/libclanDisplay.a
-lib/libclanDisplay.la
-lib/libclanDisplay.so
-lib/libclanGL-%%VER%%.so
-lib/libclanGL-%%VER%%.so.1
-lib/libclanGL.a
-lib/libclanGL.la
-lib/libclanGL.so
-lib/libclanGUI-%%VER%%.so
-lib/libclanGUI-%%VER%%.so.1
-lib/libclanGUI.a
-lib/libclanGUI.la
-lib/libclanGUI.so
-lib/libclanGUIStyleSilver-%%VER%%.so
-lib/libclanGUIStyleSilver-%%VER%%.so.1
-lib/libclanGUIStyleSilver.a
-lib/libclanGUIStyleSilver.la
-lib/libclanGUIStyleSilver.so
-lib/libclanMikMod-%%VER%%.so
-lib/libclanMikMod-%%VER%%.so.1
-lib/libclanMikMod.a
-lib/libclanMikMod.la
-lib/libclanMikMod.so
-lib/libclanNetwork-%%VER%%.so
-lib/libclanNetwork-%%VER%%.so.1
-lib/libclanNetwork.a
-lib/libclanNetwork.la
-lib/libclanNetwork.so
-lib/libclanSDL-%%VER%%.so
-lib/libclanSDL-%%VER%%.so.1
-lib/libclanSDL.a
-lib/libclanSDL.la
-lib/libclanSDL.so
-lib/libclanSignals-%%VER%%.so
-lib/libclanSignals-%%VER%%.so.1
-lib/libclanSignals.a
-lib/libclanSignals.la
-lib/libclanSignals.so
-lib/libclanSound-%%VER%%.so
-lib/libclanSound-%%VER%%.so.1
-lib/libclanSound.a
-lib/libclanSound.la
-lib/libclanSound.so
-lib/libclanVorbis-%%VER%%.so
-lib/libclanVorbis-%%VER%%.so.1
-lib/libclanVorbis.a
-lib/libclanVorbis.la
-lib/libclanVorbis.so
+lib/libclan%%SHORT_VER%%App-%%VER%%.so
+lib/libclan%%SHORT_VER%%App-%%VER%%.so.1

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Jason E. Hale freebsd_committer 2012-10-02 11:31:04 UTC
State Changed
From-To: open->closed

Committed with changes discussed in PR and by private mail. Thanks!